%define module	XML-DOM-XPath
%define version	0.13
%define release	%mkrel 2

Summary:	XPath support to XML::DOM, using XML::XPath engine
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/M/MI/MIROD/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl-XML-XPath >= 1.13-5mdk
BuildRequires:	perl-XML-XPathEngine
Provides:	perl-libxml-enno
Obsoletes:	perl-libxml-enno
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
XML::DOM::XPath allows you to use XML::XPath methods to query a DOM. This is
often much easier than relying only on getElementsByTagName.

It lets you use all of the XML::DOM methods.

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{perl_vendorlib}/XML
%{_mandir}/*/*




%changelog
* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13-2mdv2008.1
+ Revision: 180651
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Dec 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2007.0
+ Revision: 93773
- new version

* Tue Nov 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2007.1
+ Revision: 84098
- new version
- Import perl-XML-DOM-XPath

* Wed Nov 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdk
- New release 0.10

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.09-3mdk
- fix deps

* Wed Jun 08 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-2mdk 
- spec cleanup
- make test in %%check
- don't ship useless empty directories

* Wed Mar 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.09-1mdk
- 0.09

* Mon Jan 17 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-1mdk 
- first mdk release

